# Rule

interface Rule

A `Rule` represents some action to perform when an unknown domain object is referenced. The rule can use the domain object name to add an implicit domain object.

## Functions

apply
Link copied to clipboard
abstract fun apply(domainObjectName: String)
Applies this rule for the given unknown domain object.
getDescription
Link copied to clipboard
abstract fun getDescription(): String
Returns the description of the rule.